%define bzrdate 20090917

%define luaver 5.1
%define lualibdir %{_libdir}/lua/%{luaver}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           lunatic-python
Version:        1.0.1
Release:        0.8.%{bzrdate}bzr%{?dist}
Summary:        Two-way bridge between Python and Lua

Group:          Development/Languages
License:        LGPLv2+
URL:            http://labix.org/lunatic-python
# bzr branch lp:~hircus/lunatic-python/trunk
# (cd lunatic-python && \
#  bzr export --root=lunatic-python ../lunatic-python.tar.bz2)
Source0:        %{name}.tar.bz2
Patch0:		lunatic-python-lua-py-segfault.patch
Patch1:		lunatic-python-memleak.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel lua-devel

%description
Lunatic Python is a two-way bridge between Python and Lua, allowing
these languages to intercommunicate. Being two-way means that it
allows Lua inside Python, Python inside Lua, Lua inside Python inside
Lua, Python inside Lua inside Python, and so on.


%prep
%setup -q -n %{name}

%patch0 -p0
%patch1 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# Move Lua's python module to its correct place
mkdir -p $RPM_BUILD_ROOT%{lualibdir}
mv $RPM_BUILD_ROOT{%{python_sitearch}/python.so,%{lualibdir}}

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE 
%{lualibdir}/python.so
%{python_sitearch}/*


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.8.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 20 2012 Jon Ciesla <limburgher@gmail.com> - 1.0.1-0.7.20090917bzr
- Patched for memory leak, BZ 794995.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.6.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 25 2011 Jon Ciesla <limb@jcomserv.net> - 1.0.1-0.5.20090917bzr
- Patch for segfault, BZ 692287.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-0.4.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.1-0.3.20090917bzr
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Sep 23 2009 Michel Salim <salimma@fedoraproject.org> - 1.0.1-0.2.20090917bzr%{?dist}
- Follow guidelines for snapshot release tag

* Thu Sep 17 2009 Michel Salim <salimma@fedoraproject.org> - 1.0.1-0.1.bzr20090917%{?dist}
- Initial package

